Scriptname _NBF_PlayerAliasScr extends ReferenceAlias

_NBF_MainScr Property NBFMainScr Auto

Event OnPlayerLoadGame()
	NBFMainScr.NBF_Log("_NBF_PlayerAliasScr - OnPlayerLoadGame")
	ResetNPCsValues()
EndEvent

Function ResetNPCsValues()
	Int ArrayLength = NBFMainScr.NPCAlias.Length
	While ArrayLength > 0
		ArrayLength -= 1
		ReferenceAlias TempAlias = NBFMainScr.NPCAlias[ArrayLength]
		if TempAlias.GetActorReference()
			String TempNPCName = TempAlias.GetActorReference().GetDisplayName()
			if TempNPCName
				Actor TempActor = TempAlias.GetActorReference()
				String NPCBehavior = StorageUtil.GetStringValue(NBFMainScr.NBFRegForm, "NBF_RegisteredNPC_Behavior_ByNPCName" + TempNPCName)
				Int BehaviorIndex = NBFMainScr.BehaviourList.Find(NPCBehavior)
				NBFMainScr.NBF_Log("_NBF_PlayerAliasScr - ResetNPCsValues - TempActor: " + TempActor + " NPCBehavior: " + NPCBehavior)
				if BehaviorIndex >= 0 && BehaviorIndex <= 6
					TempActor.SetRelationshipRank(NBFMainScr.PlayerRef, 0)
					TempActor.SetActorValue("Aggression", 1.0)
					TempActor.SetActorValue("Confidence", 4.0)
					TempActor.SetActorValue("Morality", 0.0)
					TempActor.SetActorValue("Assistance", 2.0)
				elseif BehaviorIndex >= 7
					TempActor.SetRelationshipRank(NBFMainScr.PlayerRef, 0)
					TempActor.SetActorValue("Aggression", 1.0)
					TempActor.SetActorValue("Confidence", 3.0)
					TempActor.SetActorValue("Morality", 0.0)
					TempActor.SetActorValue("Assistance", 1.0)
				endif
			endif
		endif
	endwhile
EndFunction